Editorial Report Card

Card with message for the author

```js
const report = {
  id: '71effdc0-ccb1-4ea9-9422-dcc9f8713347',
  userId: '9ac5b5b5-252c-4933-9e66-72ec7c644a5c',
  comments: [
    {
      files: [],
      public: true,
      content: 'Public report here. Message for the author.',
    },
  ],
  createdOn: 1538053564396,
  updatedOn: 1538053600643,
  submittedOn: 1538053600624,
  recommendation: 'publish',
  recommendationType: 'editorialRecommendation',
  reviewer: {
    id: '9ac5b5b5-252c-4933-9e66-72ec7c644a5c',
    type: 'user',
    lastName: 'John',
    firstName: 'Doe',
    editorInChief: true,
    handlingEditor: true,
  },
}
const journal = {
  recommendations: [
    {
      value: 'publish',
      label: 'Publish',
    },
    {
      value: 'major',
      label: 'Major revision',
    },
    {
      value: 'minor',
      label: 'Minor revision',
    },
    {
      value: 'reject',
      label: 'Reject',
    },
  ],
}
const hideEditorName = true
;<EditorialReportCard report={report} journal={journal}hideEditorName={hideEditorName}/>
```

Card with message for the editorial team

```js
const report = {
  id: '71effdc0-ccb1-4ea9-9422-dcc9f8713347',
  userId: '9ac5b5b5-252c-4933-9e66-72ec7c644a5c',
  comments: [
    {
      files: [],
      public: false,
      content: 'Confidential note is here. Message for editorial team.',
    },
  ],
  createdOn: 1538053564396,
  updatedOn: 1538053600643,
  submittedOn: 1538053600624,
  recommendation: 'publish',
  recommendationType: 'editorialRecommendation',
  reviewer: {
    id: '9ac5b5b5-252c-4933-9e66-72ec7c644a5c',
    type: 'user',
    lastName: 'John',
    firstName: 'Doe',
    editorInChief: true,
    handlingEditor: false,
  },
}
const journal = {
  recommendations: [
    {
      value: 'publish',
      label: 'Publish',
    },
    {
      value: 'major',
      label: 'Major revision',
    },
    {
      value: 'minor',
      label: 'Minor revision',
    },
    {
      value: 'reject',
      label: 'Reject',
    },
  ],
}
const hideEditorName = false
;<EditorialReportCard report={report} journal={journal} hideEditorName={hideEditorName} />
```

Card with message for the editorial team and for the author

```js
const report = {
  id: '71effdc0-ccb1-4ea9-9422-dcc9f8713347',
  userId: '9ac5b5b5-252c-4933-9e66-72ec7c644a5c',
  comments: [
    {
      files: [],
      public: false,
      content: 'Confidential note is here. Message for editorial team.',
    },
    {
      files: [],
      public: true,
      content: 'Public report here. Message for the author.',
    },
  ],
  createdOn: 1538053564396,
  updatedOn: 1538053600643,
  submittedOn: 1538053600624,
  recommendation: 'publish',
  recommendationType: 'editorialRecommendation',
  reviewer: {
    id: '9ac5b5b5-252c-4933-9e66-72ec7c644a5c',
    type: 'user',
    lastName: 'John',
    firstName: 'Doe',
    editorInChief: false,
    handlingEditor: true,
  },

}
const journal = {
  recommendations: [
    {
      value: 'publish',
      label: 'Publish',
    },
    {
      value: 'major',
      label: 'Major revision',
    },
    {
      value: 'minor',
      label: 'Minor revision',
    },
    {
      value: 'reject',
      label: 'Reject',
    },
  ],
}
const hideEditorName = false
;<EditorialReportCard report={report} journal={journal} hideEditorName={hideEditorName}/>
```
